<manifest version="2.0" type="device" target-level="5">
    <hal format="hidl">
        <name>android.hardware.audio</name>
        <transport>hwbinder</transport>
        <fqname>@6.0::IDevicesFactory/default</fqname>
    </hal>
    <hal format="hidl">
        <name>android.hardware.audio.effect</name>
        <transport>hwbinder</transport>
        <fqname>@6.0::IEffectsFactory/default</fqname>
    </hal>
    <hal format="hidl">
        <name>android.hardware.biometrics.fingerprint</name>
        <transport>hwbinder</transport>
        <fqname>@2.1::IBiometricsFingerprint/default</fqname>
    </hal>
    <hal format="hidl">
        <name>android.hardware.bluetooth</name>
        <transport>hwbinder</transport>
        <fqname>@1.0::IBluetoothHci/default</fqname>
    </hal>
    <hal format="hidl">
        <name>android.hardware.bluetooth.audio</name>
        <transport>hwbinder</transport>
        <fqname>@2.0::IBluetoothAudioProvidersFactory/default</fqname>
    </hal>
    <hal format="hidl">
        <name>android.hardware.camera.provider</name>
        <transport>hwbinder</transport>
        <fqname>@2.5::ICameraProvider/legacy/0</fqname>
        <fqname>@2.5::ICameraProvider/virtual/0</fqname>
    </hal>
    <hal format="hidl">
        <name>android.hardware.drm</name>
        <transport>hwbinder</transport>
        <fqname>@1.0::ICryptoFactory/default</fqname>
        <fqname>@1.0::IDrmFactory/default</fqname>
        <fqname>@1.2::ICryptoFactory/cdrm</fqname>
        <fqname>@1.2::IDrmFactory/cdrm</fqname>
        <fqname>@1.3::ICryptoFactory/clearkey</fqname>
        <fqname>@1.3::ICryptoFactory/widevine</fqname>
        <fqname>@1.3::IDrmFactory/clearkey</fqname>
        <fqname>@1.3::IDrmFactory/widevine</fqname>
    </hal>
    <hal format="hidl">
        <name>android.hardware.gatekeeper</name>
        <transport>hwbinder</transport>
        <fqname>@1.0::IGatekeeper/default</fqname>
    </hal>
    <hal format="aidl">
        <name>android.hardware.identity</name>
        <fqname>IIdentityCredentialStore/default</fqname>
    </hal>
    <hal format="hidl">
        <name>android.hardware.ir</name>
        <transport>hwbinder</transport>
        <fqname>@1.0::IConsumerIr/default</fqname>
    </hal>
    <hal format="hidl">
        <name>android.hardware.keymaster</name>
        <transport>hwbinder</transport>
        <fqname>@4.1::IKeymasterDevice/default</fqname>
    </hal>
    <hal format="hidl">
        <name>android.hardware.light</name>
        <transport>hwbinder</transport>
        <fqname>@2.0::ILight/default</fqname>
    </hal>
    <hal format="hidl">
        <name>android.hardware.media.omx</name>
        <transport>hwbinder</transport>
        <fqname>@1.0::IOmx/default</fqname>
        <fqname>@1.0::IOmxStore/default</fqname>
    </hal>
    <hal format="hidl">
        <name>android.hardware.memtrack</name>
        <transport>hwbinder</transport>
        <fqname>@1.0::IMemtrack/default</fqname>
    </hal>
    <hal format="hidl">
        <name>android.hardware.nfc</name>
        <transport>hwbinder</transport>
        <fqname>@1.2::INfc/default</fqname>
    </hal>
    <hal format="hidl">
        <name>android.hardware.power</name>
        <transport>hwbinder</transport>
        <fqname>@1.0::IPower/default</fqname>
    </hal>
    <hal format="hidl">
        <name>android.hardware.radio</name>
        <transport>hwbinder</transport>
        <fqname>@1.2::ISap/slot1</fqname>
        <fqname>@1.2::ISap/slot2</fqname>
        <fqname>@1.5::IRadio/slot1</fqname>
        <fqname>@1.5::IRadio/slot2</fqname>
    </hal>
    <hal format="hidl">
        <name>android.hardware.radio.config</name>
        <transport>hwbinder</transport>
        <fqname>@1.1::IRadioConfig/default</fqname>
    </hal>
    <hal format="hidl">
        <name>android.hardware.secure_element</name>
        <transport>hwbinder</transport>
        <fqname>@1.2::ISecureElement/SIM1</fqname>
        <fqname>@1.2::ISecureElement/SIM2</fqname>
        <fqname>@1.2::ISecureElement/eSE</fqname>
    </hal>
    <hal format="hidl">
        <name>android.hardware.soundtrigger</name>
        <transport>hwbinder</transport>
        <fqname>@2.3::ISoundTriggerHw/default</fqname>
    </hal>
    <hal format="hidl">
        <name>android.hardware.tetheroffload.config</name>
        <transport>hwbinder</transport>
        <fqname>@1.0::IOffloadConfig/default</fqname>
    </hal>
    <hal format="hidl">
        <name>android.hardware.tetheroffload.control</name>
        <transport>hwbinder</transport>
        <fqname>@1.0::IOffloadControl/default</fqname>
    </hal>
    <hal format="hidl">
        <name>android.hardware.vibrator</name>
        <transport>hwbinder</transport>
        <fqname>@1.0::IVibrator/default</fqname>
    </hal>
    <hal format="hidl">
        <name>com.qualcomm.qti.dpm.api</name>
        <transport>hwbinder</transport>
        <fqname>@1.0::IdpmQmi/dpmQmiService</fqname>
    </hal>
    <hal format="hidl">
        <name>com.qualcomm.qti.imscmservice</name>
        <transport>hwbinder</transport>
        <fqname>@2.2::IImsCmService/qti.ims.connectionmanagerservice</fqname>
    </hal>
    <hal format="hidl">
        <name>com.qualcomm.qti.uceservice</name>
        <transport>hwbinder</transport>
        <fqname>@2.3::IUceService/com.qualcomm.qti.uceservice</fqname>
    </hal>
    <hal format="hidl">
        <name>vendor.huawei.hardware.activity_recognition</name>
        <transport>hwbinder</transport>
        <fqname>@1.1::IActivityRecognition/default</fqname>
    </hal>
    <hal format="hidl">
        <name>vendor.huawei.hardware.audioremote</name>
        <transport>hwbinder</transport>
        <fqname>@1.0::IAudioRemoteConnect/default</fqname>
        <fqname>@1.1::IAudioRemoteConnect/virtualmodem</fqname>
        <fqname>@1.2::IAudioRemoteConnect/default</fqname>
    </hal>
    <hal format="hidl">
        <name>vendor.huawei.hardware.biometrics.fingerprint</name>
        <transport>hwbinder</transport>
        <fqname>@2.2::IExtBiometricsFingerprint/default</fqname>
    </hal>
    <hal format="hidl">
        <name>vendor.huawei.hardware.biometrics.hwfacerecognize</name>
        <transport>hwbinder</transport>
        <fqname>@2.0::IBiometricsFaceRecognize/default</fqname>
    </hal>
    <hal format="hidl">
        <name>vendor.huawei.hardware.biometrics.hwvoiceid</name>
        <transport>hwbinder</transport>
        <fqname>@2.1::IBiometricsVoiceId/hwvoiceid</fqname>
    </hal>
    <hal format="hidl">
        <name>vendor.huawei.hardware.camera.camResource</name>
        <transport>hwbinder</transport>
        <fqname>@1.5::IHwCameraResourceService/huawei.cameraresource.service</fqname>
    </hal>
    <hal format="hidl">
        <name>vendor.huawei.hardware.camera.cfgsvr</name>
        <transport>hwbinder</transport>
        <fqname>@1.1::IHwCamCfgSvr/huawei.camera.cfgsvr</fqname>
    </hal>
    <hal format="hidl">
        <name>vendor.huawei.hardware.camera.factory</name>
        <transport>hwbinder</transport>
        <fqname>@1.1::ICameraFactory/default</fqname>
    </hal>
    <hal format="hidl">
        <name>vendor.huawei.hardware.camera.vircamera</name>
        <transport>hwbinder</transport>
        <fqname>@1.0::IVirCameraChannel/virtualcamera.register</fqname>
        <fqname>@1.0::IVirCameraChannel/virtualcamera.streamchange</fqname>
    </hal>
    <hal format="hidl">
        <name>vendor.huawei.hardware.eid</name>
        <transport>hwbinder</transport>
        <fqname>@1.1::IEid/eid</fqname>
    </hal>
    <hal format="hidl">
        <name>vendor.huawei.hardware.fm</name>
        <transport>hwbinder</transport>
        <fqname>@1.0::IFmControl/default</fqname>
    </hal>
    <hal format="hidl">
        <name>vendor.huawei.hardware.fusd</name>
        <transport>hwbinder</transport>
        <fqname>@1.9::IFusdLbs/default</fqname>
    </hal>
    <hal format="hidl">
        <name>vendor.huawei.hardware.hwairsensing</name>
        <transport>hwbinder</transport>
        <fqname>@1.0::IAirSensing/default</fqname>
    </hal>
    <hal format="hidl">
        <name>vendor.huawei.hardware.hwairsensing.provider</name>
        <transport>hwbinder</transport>
        <fqname>@1.0::IAirSensingProvider/default</fqname>
    </hal>
    <hal format="hidl">
        <name>vendor.huawei.hardware.hwdisplay</name>
        <transport>hwbinder</transport>
        <fqname>@1.2::IDisplay/default</fqname>
    </hal>
    <hal format="hidl">
        <name>vendor.huawei.hardware.hwdisplay.displayengine</name>
        <transport>hwbinder</transport>
        <fqname>@1.2::IDisplayEngineWrapper/default</fqname>
    </hal>
    <hal format="hidl">
        <name>vendor.huawei.hardware.hwdisplay.displayengine.algorithmproxy</name>
        <transport>hwbinder</transport>
        <fqname>@1.0::IAlgorithmProxy/default</fqname>
    </hal>
    <hal format="hidl">
        <name>vendor.huawei.hardware.hwfactoryinterface</name>
        <transport>hwbinder</transport>
        <fqname>@1.1::IHwFactoryInterface/hwfactoryinterface_hal</fqname>
    </hal>
    <hal format="hidl">
        <name>vendor.huawei.hardware.hwfs</name>
        <transport>hwbinder</transport>
        <fqname>@1.0::IHwfs/default</fqname>
    </hal>
    <hal format="hidl">
        <name>vendor.huawei.hardware.hwhiview</name>
        <transport>hwbinder</transport>
        <fqname>@1.0::IHwHiviewInterface/hwhiview_hal</fqname>
    </hal>
    <hal format="hidl">
        <name>vendor.huawei.hardware.hwsched</name>
        <transport>hwbinder</transport>
        <fqname>@1.0::ISched/hwsched</fqname>
    </hal>
    <hal format="hidl">
        <name>vendor.huawei.hardware.hwstp</name>
        <transport>hwbinder</transport>
        <fqname>@1.2::IHwStp/hwstp</fqname>
    </hal>
    <hal format="hidl">
        <name>vendor.huawei.hardware.hwupdate</name>
        <transport>hwbinder</transport>
        <fqname>@1.0::IHwUpdate/hwupdate_hal</fqname>
    </hal>
    <hal format="hidl">
        <name>vendor.huawei.hardware.hwvibrator</name>
        <transport>hwbinder</transport>
        <fqname>@1.1::IHWVibrator/default</fqname>
    </hal>
    <hal format="hidl">
        <name>vendor.huawei.hardware.iawareperf</name>
        <transport>hwbinder</transport>
        <fqname>@1.0::IUniPerf/uniperf</fqname>
    </hal>
    <hal format="hidl">
        <name>vendor.huawei.hardware.iawareperfpolicy</name>
        <transport>hwbinder</transport>
        <fqname>@1.0::IPerfPolicy/perfpolicy</fqname>
    </hal>
    <hal format="hidl">
        <name>vendor.huawei.hardware.kds</name>
        <transport>hwbinder</transport>
        <fqname>@1.1::IKds/kds</fqname>
    </hal>
    <hal format="hidl">
        <name>vendor.huawei.hardware.light</name>
        <transport>hwbinder</transport>
        <fqname>@2.0::ILight/default</fqname>
    </hal>
    <hal format="hidl">
        <name>vendor.huawei.hardware.nfc</name>
        <transport>hwbinder</transport>
        <fqname>@1.0::IHWNfc/default</fqname>
    </hal>
    <hal format="hidl">
        <name>vendor.huawei.hardware.nnx</name>
        <transport>hwbinder</transport>
        <fqname>@1.0::INnxService/default</fqname>
    </hal>
    <hal format="hidl">
        <name>vendor.huawei.hardware.nxpnfc</name>
        <transport>hwbinder</transport>
        <fqname>@1.0::INxpNfc/default</fqname>
    </hal>
    <hal format="hidl">
        <name>vendor.huawei.hardware.power</name>
        <transport>hwbinder</transport>
        <fqname>@1.0::IHWPower/default</fqname>
    </hal>
    <hal format="hidl">
        <name>vendor.huawei.hardware.radio</name>
        <transport>hwbinder</transport>
        <fqname>@2.2::IRadio/slot1</fqname>
        <fqname>@2.2::IRadio/slot2</fqname>
    </hal>
    <hal format="hidl">
        <name>vendor.huawei.hardware.radio.deprecated</name>
        <transport>hwbinder</transport>
        <fqname>@1.0::IOemHook/slot1</fqname>
        <fqname>@1.0::IOemHook/slot2</fqname>
    </hal>
    <hal format="hidl">
        <name>vendor.huawei.hardware.radio.distributed</name>
        <transport>hwbinder</transport>
        <fqname>@1.0::IDistributed/slot1</fqname>
        <fqname>@1.0::IDistributed/slot2</fqname>
    </hal>
    <hal format="hidl">
        <name>vendor.huawei.hardware.radio.dvmodem</name>
        <transport>hwbinder</transport>
        <fqname>@1.0::IDVModemHook/slot1</fqname>
        <fqname>@1.0::IDVModemHook/slot2</fqname>
    </hal>
    <hal format="hidl">
        <name>vendor.huawei.hardware.radio_radar</name>
        <transport>hwbinder</transport>
        <fqname>@1.0::IRadioRadar/slot1</fqname>
        <fqname>@1.0::IRadioRadar/slot2</fqname>
    </hal>
    <hal format="hidl">
        <name>vendor.huawei.hardware.tp</name>
        <transport>hwbinder</transport>
        <fqname>@1.0::ITouchscreen/default</fqname>
    </hal>
    <hal format="hidl">
        <name>vendor.huawei.hardware.wifi</name>
        <transport>hwbinder</transport>
        <fqname>@1.3::IHwWifiExt/default</fqname>
    </hal>
    <hal format="hidl">
        <name>vendor.huawei.hardware.wifi.stereo</name>
        <transport>hwbinder</transport>
        <fqname>@1.0::IStereo/default</fqname>
    </hal>
    <hal format="hidl">
        <name>vendor.huawei.hardware.wifi.supplicant</name>
        <transport>hwbinder</transport>
        <fqname>@4.0::ISupplicant/default</fqname>
    </hal>
    <hal format="hidl">
        <name>vendor.huawei.hardware.wifi.waudio</name>
        <transport>hwbinder</transport>
        <fqname>@1.0::IWaudio/default</fqname>
    </hal>
    <hal format="hidl">
        <name>vendor.qti.data.factory</name>
        <transport>hwbinder</transport>
        <fqname>@2.3::IFactory/default</fqname>
    </hal>
    <hal format="hidl">
        <name>vendor.qti.esepowermanager</name>
        <transport>hwbinder</transport>
        <fqname>@1.1::IEsePowerManager/default</fqname>
    </hal>
    <hal format="hidl">
        <name>vendor.qti.hardware.alarm</name>
        <transport>hwbinder</transport>
        <fqname>@1.0::IAlarm/default</fqname>
    </hal>
    <hal format="hidl">
        <name>vendor.qti.hardware.bluetooth_sar</name>
        <transport>hwbinder</transport>
        <fqname>@1.1::IBluetoothSar/default</fqname>
    </hal>
    <hal format="hidl">
        <name>vendor.qti.hardware.cacert</name>
        <transport>hwbinder</transport>
        <fqname>@1.0::IService/default</fqname>
    </hal>
    <hal format="hidl">
        <name>vendor.qti.hardware.camera.postproc</name>
        <transport>hwbinder</transport>
        <fqname>@1.0::IPostProcService/camerapostprocservice</fqname>
    </hal>
    <hal format="hidl">
        <name>vendor.qti.hardware.capabilityconfigstore</name>
        <transport>hwbinder</transport>
        <fqname>@1.0::ICapabilityConfigStore/default</fqname>
    </hal>
    <hal format="hidl">
        <name>vendor.qti.hardware.data.connection</name>
        <transport>hwbinder</transport>
        <fqname>@1.1::IDataConnection/slot1</fqname>
        <fqname>@1.1::IDataConnection/slot2</fqname>
    </hal>
    <hal format="hidl">
        <name>vendor.qti.hardware.data.iwlan</name>
        <transport>hwbinder</transport>
        <fqname>@1.0::IIWlan/slot1</fqname>
        <fqname>@1.0::IIWlan/slot2</fqname>
    </hal>
    <hal format="hidl">
        <name>vendor.qti.hardware.data.latency</name>
        <transport>hwbinder</transport>
        <fqname>@1.0::ILinkLatency/default</fqname>
    </hal>
    <hal format="hidl">
        <name>vendor.qti.hardware.dsp</name>
        <transport>hwbinder</transport>
        <fqname>@1.0::IDspService/dspservice</fqname>
    </hal>
    <hal format="hidl">
        <name>vendor.qti.hardware.embmssl</name>
        <transport>hwbinder</transport>
        <fqname>@1.1::IEmbms/embmsslServer0</fqname>
    </hal>
    <hal format="hidl">
        <name>vendor.qti.hardware.factory</name>
        <transport>hwbinder</transport>
        <fqname>@1.1::IFactory/default</fqname>
    </hal>
    <hal format="hidl">
        <name>vendor.qti.hardware.mwqemadapter</name>
        <transport>hwbinder</transport>
        <fqname>@1.0::IMwqemAdapter/MwqemAdapter</fqname>
    </hal>
    <hal format="hidl">
        <name>vendor.qti.hardware.perf</name>
        <transport>hwbinder</transport>
        <fqname>@2.2::IPerf/default</fqname>
    </hal>
    <hal format="hidl">
        <name>vendor.qti.hardware.qccvndhal</name>
        <transport>hwbinder</transport>
        <fqname>@1.0::IQccvndhal/qccvndhal</fqname>
    </hal>
    <hal format="hidl">
        <name>vendor.qti.hardware.qconfig</name>
        <transport>hwbinder</transport>
        <fqname>@1.0::IQConfig/default</fqname>
    </hal>
    <hal format="hidl">
        <name>vendor.qti.hardware.qseecom</name>
        <transport>hwbinder</transport>
        <fqname>@1.0::IQSEECom/default</fqname>
    </hal>
    <hal format="hidl">
        <name>vendor.qti.hardware.qteeconnector</name>
        <transport>hwbinder</transport>
        <fqname>@1.0::IAppConnector/default</fqname>
        <fqname>@1.0::IGPAppConnector/default</fqname>
    </hal>
    <hal format="hidl">
        <name>vendor.qti.hardware.radio.am</name>
        <transport>hwbinder</transport>
        <fqname>@1.0::IQcRilAudio/slot1</fqname>
        <fqname>@1.0::IQcRilAudio/slot2</fqname>
    </hal>
    <hal format="hidl">
        <name>vendor.qti.hardware.radio.ims</name>
        <transport>hwbinder</transport>
        <fqname>@1.7::IImsRadio/imsradio0</fqname>
        <fqname>@1.7::IImsRadio/imsradio1</fqname>
    </hal>
    <hal format="hidl">
        <name>vendor.qti.hardware.radio.internal.deviceinfo</name>
        <transport>hwbinder</transport>
        <fqname>@1.0::IDeviceInfo/deviceinfo</fqname>
    </hal>
    <hal format="hidl">
        <name>vendor.qti.hardware.radio.lpa</name>
        <transport>hwbinder</transport>
        <fqname>@1.1::IUimLpa/UimLpa0</fqname>
        <fqname>@1.1::IUimLpa/UimLpa1</fqname>
    </hal>
    <hal format="hidl">
        <name>vendor.qti.hardware.radio.qcrilhook</name>
        <transport>hwbinder</transport>
        <fqname>@1.0::IQtiOemHook/oemhook0</fqname>
        <fqname>@1.0::IQtiOemHook/oemhook1</fqname>
    </hal>
    <hal format="hidl">
        <name>vendor.qti.hardware.radio.qtiradio</name>
        <transport>hwbinder</transport>
        <fqname>@1.0::IQtiRadio/slot1</fqname>
        <fqname>@1.0::IQtiRadio/slot2</fqname>
    </hal>
    <hal format="hidl">
        <name>vendor.qti.hardware.radio.qtiradio</name>
        <transport>hwbinder</transport>
        <fqname>@2.6::IQtiRadio/slot1</fqname>
        <fqname>@2.6::IQtiRadio/slot2</fqname>
    </hal>
    <hal format="hidl">
        <name>vendor.qti.hardware.radio.uim</name>
        <transport>hwbinder</transport>
        <fqname>@1.2::IUim/Uim0</fqname>
        <fqname>@1.2::IUim/Uim1</fqname>
    </hal>
    <hal format="hidl">
        <name>vendor.qti.hardware.radio.uim_remote_client</name>
        <transport>hwbinder</transport>
        <fqname>@1.0::IUimRemoteServiceClient/uimRemoteClient0</fqname>
        <fqname>@1.0::IUimRemoteServiceClient/uimRemoteClient1</fqname>
    </hal>
    <hal format="hidl">
        <name>vendor.qti.hardware.radio.uim_remote_server</name>
        <transport>hwbinder</transport>
        <fqname>@1.0::IUimRemoteServiceServer/uimRemoteServer0</fqname>
        <fqname>@1.0::IUimRemoteServiceServer/uimRemoteServer1</fqname>
    </hal>
    <hal format="hidl">
        <name>vendor.qti.hardware.secureprocessor.device</name>
        <transport>hwbinder</transport>
        <fqname>@1.0::ISecureProcessor/qti-tee</fqname>
    </hal>
    <hal format="hidl">
        <name>vendor.qti.hardware.soter</name>
        <transport>hwbinder</transport>
        <fqname>@1.0::ISoter/default</fqname>
    </hal>
    <hal format="hidl">
        <name>vendor.qti.hardware.vpp</name>
        <transport>hwbinder</transport>
        <fqname>@2.0::IHidlVppService/vppService</fqname>
    </hal>
    <hal format="hidl">
        <name>vendor.qti.hardware.wifi.wifilearner</name>
        <transport>hwbinder</transport>
        <fqname>@1.0::IWifiStats/wifiStats</fqname>
    </hal>
    <hal format="hidl">
        <name>vendor.qti.hardware.wigig.netperftuner</name>
        <transport>hwbinder</transport>
        <fqname>@1.0::INetPerfTuner/default</fqname>
    </hal>
    <hal format="hidl">
        <name>vendor.qti.hardware.wigig.supptunnel</name>
        <transport>hwbinder</transport>
        <fqname>@1.0::ISuppTunnelProvider/default</fqname>
    </hal>
    <hal format="hidl">
        <name>vendor.qti.ims.callinfo</name>
        <transport>hwbinder</transport>
        <fqname>@1.0::IService/default</fqname>
    </hal>
    <hal format="hidl">
        <name>vendor.qti.ims.factory</name>
        <transport>hwbinder</transport>
        <fqname>@1.1::IImsFactory/default</fqname>
    </hal>
    <hal format="hidl">
        <name>vendor.qti.imsrtpservice</name>
        <transport>hwbinder</transport>
        <fqname>@3.0::IRTPService/imsrtpservice</fqname>
    </hal>
</manifest>
